Bug 1276866 - [bluecurve-icon-theme] needs some love: only bitmapped icons available and incomplete coverage
[bluecurve-icon-theme] needs some love: only bitmapped icons available and in...
Status: NEW
Product: Fedora
Classification: Fedora
Component: bluecurve-icon-theme (Show other bugs)
26
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 12:35 EDT by Joachim Frieben
Modified: 2017-11-19 00:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bluecurve icon theme in the GNOME shell (1.18 MB, image/png)
2015-10-31 12:37 EDT, Joachim Frieben
no flags Details
Bluecurve icon theme in the "About" window of GNOME terminal (29.60 KB, image/png)
2015-10-31 12:38 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2015-10-31 12:35:26 EDT
Description of problem:
When using the Bluecurve icon theme under recent Fedora releases, the availability of bitmapped icons alone and its (recently) limited coverage become apparent. Therefore, Bluecurve icons look blurred and/or "pixelish" at large sizes (see attached screenshots), and they are usually mixed with icons from the default GNOME icon set.

Version-Release number of selected component (if applicable):
bluecurve-icon-theme-8.0.2-12.fc23.

How reproducible:
Always

Steps to Reproduce:
1. Install and enable Bluecurve icon theme.

Actual results:
Overall look is great but blurred and/or "pixelish" at large sizes, and the theme is not applied in many places.

Expected results:
Overall look is great, and the theme is applied in the most frequently used places.

Additional info:
The Bluecurve GNOME icon theme is a landmark and still the default icon theme in EL6. It is still appealing by its clear and friendly design. It is desirable to have tracked and implemented the very limited number of changes in GNOME's icon naming scheme (I have done this in my private version filling the most visible gaps successfully) and to replace the bitmap icons by scalable versions. This would improve the user experience a lot. However, this requires access to the original sources created by G. LeSage.
Comment 1 Joachim Frieben 2015-10-31 12:37 EDT
Created attachment 1088216 [details]
Bluecurve icon theme in the GNOME shell
Comment 2 Joachim Frieben 2015-10-31 12:38 EDT
Created attachment 1088217 [details]
Bluecurve icon theme in the "About" window of GNOME terminal
Comment 3 Fedora End Of Life 2016-11-24 08:00:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Joachim Frieben 2016-11-24 10:30:57 EST
Issue applies to both of Fedora 24 and 25.
Comment 5 Fedora End Of Life 2017-07-25 15:25:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-11-16 13:40:06 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.